Subject: bug#22005: gnus-summary-kill-thread moves cursor to end of buffer in some cases

From: Lars Ingebrigtsen <[email-masked]>
Date: Thu, 26 Jan 2017 23:25:13 +0100

Tomasz Gajewski <[email-masked]> writes:

> Normally gnus-summary-kill-thread sets cursor after killed thread but
> sometimes cursor is moved to end of buffer skipping all subsequent
> threads. It bothered me for quite a long time as it wasn't reproducible
> for me (I could kill thread just once) but I think I have found in what
> circumstances it happens.
>
> I think this happens if I enter gnus summary buffer where I have some
> old unread mails and some new unread mails and I call
> gnus-summary-kill-thread before I press enter to see some concrete
> message content. It is reproducible only until I see some message
> content and only if both new and old unread messages are in the buffer.

I tried `T k' in a few groups, and it seemed to work OK for me.  Could
you try to narrow down when this happens?

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no